Get Storage Class

Get Storage Class
Retrieves a specific storage class via URN.

Retrieves a specific storage class via URN.

Request
URI
GET
https://{api_host}/cloudapi/v1/storageClasses/{storageClassUrn}
COPY
Path Parameters
string
storageClassUrn
Required

storageClassUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns StorageClass of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "kubernetesCompliantName": "string",
    "region": {
        "name": "string",
        "id": "string"
    },
    "storageConsumedMiB": 0,
    "storageCapacityMiB": 0,
    "zones": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/storageClasses/{storageClassUrn}